package com.rc.httpcore.vo.response;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * info
 *
 * @author ReiChin_
 */
public class ChemicalBean implements Parcelable {

    public String anotherName; // 别名
    public String cabinetName; // 机柜名称
    public String cabinetNum; // 机柜编号
    public String casNum; // cas号
    public String chemicalClassify; // 化学品分类
    public String chemicalName; // 化学品名字
    public String chemicalNum; // [入库用]化学品编号
    public String joinNum; // [回显用]化学品编号
    public String chemicalShape; // 化学品形态
    public String chemicalShapeName; // 化学品形态
    public String chemicalUnit; // 称重单位，固定值：g
    public String deptId; // 部门ID
    public String deptName; // 部门名称
    public String expirationTime; // [入库用]过期时间
    public String expireTime; // [回显用]过期时间
    public String factory; // 生产厂家
    public String id;
    public String joinId; // 化学品机柜关联表id
    public String joinOneUser; // 入库第一验证人
    public String joinTime; // 入库时间
    public String joinTwoUser; // 入库第二验证人
    public String joinType; // 入库方式（1 称重，2 录入）
    public String joinUserId; // 入库人ID
    public String labelType; // 标签类型（1是RFID，2是二维码） enum TagType
    public String measuringMethod; // 计量方式，固定值：1
    public String outOneUser; // 出库第一验证人
    public String outTime; // 出库时间
    public String outTwoUser; // 出库第二验证人
    public String outUsages; // 剩余库存量
    public String outUserId; // 出库人ID
    public String purity; // 纯度
    public String remark;
    public String rfidCode; // RFID编号（标签类型是1 时，不能为空！）
    public String status; // 库存状态
    public String subId; // 实验室id
    public String tagCode; // 标签编号
    public String usages; // 入库重量
    public String userId;
    public String verification; // 验证方式（1是单人验证，2是双人双卡）
    public String safeUserName; // 负责人
    public String chemicalAmount; // 化学品规格
    public String chemicalAmountUnit; // 化学品规格单位
    public String hazardId; // 化学品 MSDS ID
    public String classifyName; // 化学品分类名称
    public String classifyAttribute; // 化学品属性名称
    public String tare; // 容器重量
    public String printCode; // 是否打印二维码标签（1是，0否）
    public HxpUserecord hxpUserecord; // 当前领用信息
    public ClassifyConfig classifyConfig; // 化学品配置表
    public String suttle; // 库存净重量
    public String returnStockNum; // 归还时称重重量
    public String joinVideo; // 入库视频

    public ChemicalBean() {
    }

    protected ChemicalBean(Parcel in) {
        anotherName = in.readString();
        cabinetName = in.readString();
        cabinetNum = in.readString();
        casNum = in.readString();
        chemicalClassify = in.readString();
        chemicalName = in.readString();
        chemicalNum = in.readString();
        joinNum = in.readString();
        chemicalShape = in.readString();
        chemicalShapeName = in.readString();
        chemicalUnit = in.readString();
        deptId = in.readString();
        deptName = in.readString();
        expirationTime = in.readString();
        expireTime = in.readString();
        factory = in.readString();
        id = in.readString();
        joinId = in.readString();
        joinOneUser = in.readString();
        joinTime = in.readString();
        joinTwoUser = in.readString();
        joinType = in.readString();
        joinUserId = in.readString();
        labelType = in.readString();
        measuringMethod = in.readString();
        outOneUser = in.readString();
        outTime = in.readString();
        outTwoUser = in.readString();
        outUsages = in.readString();
        outUserId = in.readString();
        purity = in.readString();
        remark = in.readString();
        rfidCode = in.readString();
        status = in.readString();
        subId = in.readString();
        tagCode = in.readString();
        usages = in.readString();
        userId = in.readString();
        verification = in.readString();
        safeUserName = in.readString();
        chemicalAmount = in.readString();
        chemicalAmountUnit = in.readString();
        hazardId = in.readString();
        classifyName = in.readString();
        classifyAttribute = in.readString();
        tare = in.readString();
        printCode = in.readString();
        hxpUserecord = in.readParcelable(HxpUserecord.class.getClassLoader());
        classifyConfig = in.readParcelable(ClassifyConfig.class.getClassLoader());
        suttle = in.readString();
        returnStockNum = in.readString();
        joinVideo = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(anotherName);
        dest.writeString(cabinetName);
        dest.writeString(cabinetNum);
        dest.writeString(casNum);
        dest.writeString(chemicalClassify);
        dest.writeString(chemicalName);
        dest.writeString(chemicalNum);
        dest.writeString(joinNum);
        dest.writeString(chemicalShape);
        dest.writeString(chemicalShapeName);
        dest.writeString(chemicalUnit);
        dest.writeString(deptId);
        dest.writeString(deptName);
        dest.writeString(expirationTime);
        dest.writeString(expireTime);
        dest.writeString(factory);
        dest.writeString(id);
        dest.writeString(joinId);
        dest.writeString(joinOneUser);
        dest.writeString(joinTime);
        dest.writeString(joinTwoUser);
        dest.writeString(joinType);
        dest.writeString(joinUserId);
        dest.writeString(labelType);
        dest.writeString(measuringMethod);
        dest.writeString(outOneUser);
        dest.writeString(outTime);
        dest.writeString(outTwoUser);
        dest.writeString(outUsages);
        dest.writeString(outUserId);
        dest.writeString(purity);
        dest.writeString(remark);
        dest.writeString(rfidCode);
        dest.writeString(status);
        dest.writeString(subId);
        dest.writeString(tagCode);
        dest.writeString(usages);
        dest.writeString(userId);
        dest.writeString(verification);
        dest.writeString(safeUserName);
        dest.writeString(chemicalAmount);
        dest.writeString(chemicalAmountUnit);
        dest.writeString(hazardId);
        dest.writeString(classifyName);
        dest.writeString(classifyAttribute);
        dest.writeString(tare);
        dest.writeString(printCode);
        dest.writeParcelable(hxpUserecord, flags);
        dest.writeParcelable(classifyConfig, flags);
        dest.writeString(suttle);
        dest.writeString(returnStockNum);
        dest.writeString(joinVideo);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<ChemicalBean> CREATOR = new Creator<ChemicalBean>() {
        @Override
        public ChemicalBean createFromParcel(Parcel in) {
            return new ChemicalBean(in);
        }

        @Override
        public ChemicalBean[] newArray(int size) {
            return new ChemicalBean[size];
        }
    };
}
